<?php header('Content-type: text/html; charset=utf-8');
	####################################################################################################
	#	HOME WEATHER STATION TEMPLATE by BRIAN UNDERDOWN 2015-2016-2017                                #
	#	CREATED FOR HOMEWEATHERSTATION TEMPLATE at 													   #
	#   https://weather34.com/homeweatherstation/index.html 										   # 
	# 	WEATHER STATION TEMPLATE 2015-2017    wxcharts.php 											   #
	# 	                                                                                               #
	#   https://www.weather34.com 	                                                                   #
	####################################################################################################

include('livedata.php');
include('common.php');
include('settings1.php');
date_default_timezone_set($TZ);?>
<!DOCTYPE html>
<html>
<head>
    <title><?php echo $stationlocation; ?> Home Weather Station WX CHARTS PAGE</title>
    <meta content="Home weather station providing current weather conditions for <?php echo $stationlocation;?>" name="description">
    <meta content="website" property="og:type">
    
    <meta content="7 days" name="revisit-after">
    <meta content="web" name="distribution">
    <meta content="<?php echo "${stationlocation} \n";?> weather station" property="og:title">
    <meta content="<?php echo "${stationlocation} \n";?> weather station" property="og:site_name">
    <meta content="" property="og:url">
    <meta content="Home weather station providing current weather conditions for <?php echo $stationlocation;?>" property="og:description">
    <meta content="img/weather34.jpg" property="og:image">
    <meta content="" property="fb:app_id">
    <meta content="place" property="og:type">
    <meta content="brian underdown" name="author">
    <meta content="INDEX,FOLLOW" name="robots">
    <meta name="mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name=apple-mobile-web-app-title content="HOMEWEATHERSTATION">
    <meta name="viewport" content="width=device-width, height=device-height, initial-scale=1">
    <link rel="apple-touch-icon" sizes="180x180" href="img/apple-touch-icon.png">
<link rel="icon" type="image/png" href="img/favicon-32x32.png" sizes="32x32">
<link rel="icon" type="image/png" href="img/favicon-16x16.png" sizes="16x16">
<link rel="manifest" href="img/manifest.json">
<meta name="theme-color" content="#ffffff">
<link href="favicon.ico" rel="shortcut icon" type="image/x-icon">
<link href="favicon.ico" rel="icon" type="image/x-icon">
<link href="css/main.<?php echo $theme; ?>.css" rel="stylesheet prefetch">
</head>
<body>
<!-- begin top layout for homeweatherstation template-->
<div class="weather2-container">
<div class="container weather34box-toparea">


<!-- position1 main clock--->
  <div class="weather34box clock">
    <div class="title"><svg viewBox='0 0 32 32' width=10 height=10 fill=none stroke=currentcolor stroke-linecap=round stroke-linejoin=round stroke-width=6.25%>
<path d='M16 14 L16 23 M16 8 L16 10' />
<circle cx=16 cy=16 r=14 />
</svg> <?php echo $position1title ;?> </div>
    <div class="value"><div id="position1"></div></div></div>



<!-- position2--->
  <div class="weather34box indoor">
    <div class="title"><svg viewBox='0 0 32 32' width=10 height=10 fill=none stroke=currentcolor stroke-linecap=round stroke-linejoin=round stroke-width=6.25%>
<path d='M16 14 L16 23 M16 8 L16 10' />
<circle cx=16 cy=16 r=14 />
</svg> <span> <?php echo $position2title ;?> </span></div>
    <div class="value"><div id="position2"></div></div></div>
  
 
 
 <!-- position3--->
  <div class="weather34box alert">
    <div class="title"><svg viewBox="0 0 32 32" width=10 height=10 fill=none stroke=currentcolor stroke-linecap=round stroke-linejoin=round stroke-width=6.25%><path d="M16 14 L16 23 M16 8 L16 10" /><circle cx=16 cy=16 r=14 /></svg> <?php echo $position3title ;?> </div>
    <div class="value">
    <div id="position3"></div></div></div>
 
 
  <!-- position4--->   
  <div class="weather34box earthquake">
    <div class="title">
    <svg viewBox="0 0 32 32" width=10 height=10 fill=none stroke=currentcolor stroke-linecap=round stroke-linejoin=round stroke-width=6.25%><path d="M16 14 L16 23 M16 8 L16 10" /><circle cx=16 cy=16 r=14 /></svg> <?php echo $position4title ;?></div>
    <div class="value"><div id="position4"></div></div></div>
  
    
  </div></div></div></div>
<!--end position section for homeweatherstation template-->
<!--Top Row 1 Box 1-->
<div class="weather-container">
<div class="weather-item">
<div class="chartforecast">

<!--Insert link to pop up module here-->
         <a rel='prefetch' href="http://www.meteociel.fr/modeles/ecmwf/runs/<?php echo date('Ymd')?>00/ECM0-0.GIF" data-featherlight="image" style="margin-left:0;text-transform:uppercase !important;" >
 <!--end Insert link to pop up module here-->  
       
         <svg id="i-external" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
         <path d="M14 9 L3 9 3 29 23 29 23 18 M18 4 L28 4 28 14 M28 4 L14 18" /></svg>
            <?php echo 'Meteociel Temp 850hpa Europe'; ?></span> </a>
         
      </div>
  
         <div id="wxchartbox1" style="border-radius:4px; border:solid 1px RGBA(46, 46, 46, 0.3);padding:2px;">
         
         <!--Insert link to source image or iframe keep width at 290px height 165px-->
         <img rel='prefetch' src="http://www.meteociel.fr/modeles/ecmwf/runs/<?php echo date('Ymd')?>00/ECM0-0.GIF"  width="290px" height="165px">
         <!--end Insert link to source image or iframe-->
         
         </div><br>
  </div>
  <!--end Top Row 1 Box 1-->
  
  <!--Top Row 1 Box 2-->
  <div class="weather-item">
  <div class="chartforecast">
  
  <!--Insert link to pop up module here-->
         <a rel='prefetch' href="http://modeles.meteociel.fr/modeles/gfs/runs/<?php echo date('Ymd')?>00/gfs-2-18.png" data-featherlight="image" style="margin-left:0;text-transform:uppercase !important;">
	<!-- end Insert link to pop up module here-->	
     
		 <svg id="i-external" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
         <path d="M14 9 L3 9 3 29 23 29 23 18 M18 4 L28 4 28 14 M28 4 L14 18" /></svg> <?php echo 'Meteociel Precipitation Europe';?></span> </a>
          
      </div>
  <div id="wxchartbox2" style="border-radius:4px; border:solid 1px RGBA(46, 46, 46, 0.3);padding:2px;">  
  
  <!--Insert link to source image or iframe keep width at 290px height 165px-->
  <img rel='prefetch' src="http://modeles.meteociel.fr/modeles/gfs/runs/<?php echo date('Ymd')?>00/gfs-2-18.png"  width="290px" height="165px">
  <!--end Insert link to source image or iframe-->
  
  </div><br>
  </div>
  <!--end Top Row 1 Box 2-->
  
  <!--Top Row 1 Box 3-->
  <div class="weather-item">
   <div class="chartforecast">
      
      <!--Insert link to pop up module here--> 
       <a rel='prefetch' href="https://www.mgm.gov.tr/FTPDATA/uzal/radar/ist/istmax15.jpg" data-featherlight="image" style="margin-left:0;text-transform:uppercase !important;">
	  <!--end Insert link to pop up module here--> 
		 
		 <svg id="i-external" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
         <path d="M14 9 L3 9 3 29 23 29 23 18 M18 4 L28 4 28 14 M28 4 L14 18" /></svg> <?php echo 'mgm.gov.tr Istanbul Radar (UTC)' ;?></span> </a>
      </div>
  <div id="wxchartbox3" style="border-radius:4px; border:solid 1px RGBA(46, 46, 46, 0.3);padding:2px;">  
  
  <!--Box 3 Insert link to source image or iframe keep width at 290px height 165px-->
  <img rel='prefetch' src="https://www.mgm.gov.tr/FTPDATA/uzal/radar/ist/istmax15.jpg"  width="290px" height="165px">
  <!--end Insert link to source image or iframe-->
  
  </div><br>
            </div>
 </div>
  <!--end Top Row 1 Box 3-->
  
 <!--Middle Row 2 Box 4-->
<div class="weather-container">
  <div class="weather-item">
  <div class="chartforecast">
  <!--Insert link to pop up module here-->
   <a rel='prefetch' href="https://www.windy.com/?clouds,<?php echo $lat ;?>,<?php echo $lon ;?>,8" data-featherlight="iframe" style="margin-left:0;text-transform:uppercase !important;">
	<!--end Insert link to pop up module here-->	 
		 
		 <svg id="i-external" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
         <path d="M14 9 L3 9 3 29 23 29 23 18 M18 4 L28 4 28 14 M28 4 L14 18" /></svg> <?php echo 'Windy Cloud Cover';?></span> </a>
      </div>
   <div id="wxchartbox4" style="border-radius:4px; border:solid 1px RGBA(46, 46, 46, 0.3);padding-top:2px;">  
   
   <!--Box 4 Insert link to source image or iframe keep width at 290px height 165px-->
   <iframe width="290" height="165" src="https://embed.windy.com/embed2.html?lat=<?php echo $lat ;?>&lon=<?php echo $lon ;?>&zoom=6&level=surface&overlay=clouds&menu=&message=&marker=&forecast=12&calendar=now&location=coordinates&type=map&actualGrid=&metricWind=kt&metricTemp=%C2%B0C" frameborder="0"></iframe>
   <!--end Insert link to source image or iframe-->
   
   </div><br>
      </div>
      <!--end Middle Row 2 Box 4-->
      
       <!--Middle Row 2 Box 5-->
  <div class="weather-item">
   <div class="chartforecast">
   
   <!--Insert link to pop up module here-->
         <a rel='prefetch' href="https://www.windy.com/?rain,<?php echo $lat ;?>,<?php echo $lon ;?>,8" data-featherlight="iframe" style="margin-left:0;text-transform:uppercase !important;">
	<!--end Insert link to pop up module here-->	 
		 
		 <svg id="i-external" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
         <path d="M14 9 L3 9 3 29 23 29 23 18 M18 4 L28 4 28 14 M28 4 L14 18" /></svg> <?php echo 'Windy Rain';?></span> </a>
         
      </div>
  <div id="wxchartbox5" style="border:solid 1px RGBA(46, 46, 46, 0.3);border-radius:4px;padding-top:2px;">  
  
  <!--Box 5 Insert link to source image or iframe keep width at 290px height 165px-->
  <iframe width="290" height="165" src="https://embed.windy.com/embed2.html?lat=<?php echo $lat ;?>&lon=<?php echo $lon ;?>&zoom=6&level=surface&overlay=rain&menu=&message=&marker=&forecast=12&calendar=now&location=coordinates&type=map&actualGrid=&metricWind=kt&metricTemp=%C2%B0C" frameborder="0"></iframe>
  <!--end Insert link to source image or iframe-->
  
  </div><br>
  </div>
  <!--end Middle Row 2 Box 5-->
  
       <!--Middle Row 2 Box 6-->
  <div class="weather-item">
  <div class="chartforecast">
  
  <!--Insert link to pop up module here-->
  <a rel='prefetch' href="https://www.windy.com/?temp,<?php echo $lat ;?>,<?php echo $lon ;?>,8" data-featherlight="iframe" style="margin-left:0;text-transform:uppercase !important;">  
  <!--end Insert link to pop up module here-->
  
         <svg id="i-info" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
    <path d="M16 14 L16 23 M16 8 L16 10" />
    <circle cx="16" cy="16" r="14" />
</svg>  <?php echo 'Windy Temperature';?></span> </a>

      </div>
 <div id="wxchartbox6" style="border:solid 1px RGBA(46, 46, 46, 0.3);padding-top:2px;border-radius:4px;">  
 
 <!--Box 6 Insert link to source image or iframe keep width at 290px height 165px-->
 <iframe width="290" height="165" src="https://embed.windy.com/embed2.html?lat=<?php echo $lat ;?>&lon=<?php echo $lon ;?>8&zoom=6&level=surface&overlay=temp&menu=&message=true&marker=&forecast=12&calendar=now&location=coordinates&type=map&actualGrid=&metricWind=km%2Fh&metricTemp=%C2%B0C" frameborder="0"></iframe>
 <!--end Insert link to source image or iframe-->
 
 </div><br>
         </div></div>
    <!--end Middle Row 2 Box 6-->     
     
 <!--Bottom Row 3 Box 7-->
<div class="weather-container">
  <div class="weather-item">
  <div class="chartforecast">
  
  <!--Insert link to pop up module here-->
         <a rel='prefetch' href="http://wxcharts.eu/charts/arpege/europe/00/850temp_003.jpg?<?php echo date('Ymd')?>00" data-featherlight="iframe" style="margin-left:0;text-transform:uppercase !important;">
	<!--end Insert link to pop up module here-->	 
		 
		 <svg id="i-external" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
         <path d="M14 9 L3 9 3 29 23 29 23 18 M18 4 L28 4 28 14 M28 4 L14 18" /></svg> <?php echo 'wxcharts.eu 850hPa Temp Europe';?></span> </a>
         
      </div>
  <div id="wxchartbox7" style="border-radius:4px;border:solid 1px RGBA(46, 46, 46, 0.3);padding:2px;">  
  
  <!-- Box 7 Insert link to source image or iframe keep width at 290px height 165px-->
  <image rel='prefetch' src='http://wxcharts.eu/charts/arpege/europe/00/850temp_003.jpg?<?php echo date('Ymd')?>18' width=290 height=165>
  <!--end Insert link to source image or iframe-->
  
  
  </div><br>
      </div>
     <!--end Bottom Row 3 Box 7--> 
     
  <!--Bottom Row 3 Box 8-->
  <div class="weather-item">
  <div class="chartforecast">
  
  <!--Insert link to pop up module here-->  
    <a rel='prefetch' href="http://wxcharts.eu/charts/gfs/europe/00/850temp_anom_024.jpg?<?php echo date('Ymd')?>00" data-featherlight="image" style="margin-left:0;text-transform:uppercase !important;">
  <!--end Insert link to pop up module here-->  
    
    <svg id="i-external" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
     <path d="M14 9 L3 9 3 29 23 29 23 18 M18 4 L28 4 28 14 M28 4 L14 18" /></svg> <?php echo 'wxcharts.eu 850hPa Anomaly Temp Europe'; ?></span> </a>
     
    </div>
 <div id="wxchartbox8" style="border-radius:4px; border:solid 1px RGBA(46, 46, 46, 0.3);padding:2px;">  
 
 <!--Box 8 Insert link to source image or iframe keep width at 290px height 165px-->
 <img rel='prefetch' src="http://wxcharts.eu/charts/gfs/europe/00/850temp_anom_024.jpg?<?php echo date('Ymd')?>00"  width="290px" height="165px">
 <!--end Insert link to source image or iframe-->
 
 </div><br>
  </div>
   <!--end Bottom Row 3 Box 8-->
   
  <!--Bottom Row 3 Box 9 last one-->
  <div class="weather-item">
  <div class="chartforecast">
  
  <!--Insert link to pop up module here-->
        <a rel='prefetch' href="img/weather34logo.svg" width="775px" height="420px" data-featherlight="image" style="margin-left:0;text-transform:uppercase !important;">
        <!--edit Insert link to pop up module here-->
    <svg id="i-activity" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="currentcolor" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%">
    <path d="M4 16 L11 16 14 29 18 3 21 16 28 16" />
    </svg> <?php echo 'Web-Cam Test';?>   </span></a>
</div>
   <div id="wxchartbox9" style="border-radius:4px; border:solid 1px RGBA(46, 46, 46, 0.3);padding:2px;">  
   
   <!--Box 9 Insert link to source image or iframe keep width at 290px height 165px-->
 <img rel="prefetch" src=img/weather34logo.svg title="weather34 logo" width="150px" height="150px">
   
   <!--end Insert link to source image or iframe-->
   
   </div><br>   
   </div>
  <!--end Bottom Row 3 Box 9 last one-->
  </div>
 <!--end box data for homeweatherstation template-->
 <!--end outdoor data for homeweatherstation template-->
 <!--footer area for homeweatherstation template-->
 <script src=js/jquery.js?version=<?php echo filemtime('js/jquery.js');?>></script>
 <div class="weatherfooter-container">
 <div class="weatherfooter-item">
 <div class="cclicencelogo"><a href="cclicence/info.php" data-featherlight="iframe" title="weather34.com Creative Commons License">
 <?php  if ($https == 'yes') {	echo '<img src="img/ssl.svg">';} else {	echo '<img src="img/cclicence.svg">';}?></a>
  </div>
 <div class="designedby">designed by <a href="https://weather34.com" title="weather34.com ">weather34.com </a> </div>
 <div class="footertext"><svg id="i-location" viewBox="0 0 32 32" width="10" height="10" fill="none" stroke="#F05E40" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%"> <circle cx="16" cy="11" r="4" /> <path d="M24 15 C21 22 16 30 16 30 16 30 11 22 8 15 5 8 10 2 16 2 22 2 27 8 24 15 Z" /></svg>&nbsp; <?php echo 'Location';?> : <a href="https://www.wunderground.com/wundermap/?lat=<?php echo "${lat}"; ?>&lon=<?php echo "${lon}"; ?>&zoom=10&tl.&wxsn.mode=tw&wxsn.opa=50&wxsn.bcdgtemp=0&wxsn.rf=1" title="wunderground map" target="_blank"> <?php echo "${lat} \n"; ?><?php echo "${lon} \n"; ?> </a> &nbsp;<svg id="i-info" viewBox="0 0 32 32" width="8" height="8" fill="#88B04B" stroke="#88B04B" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%"> <path d="M16 14 L16 23 M16 8 L16 10" /> <circle cx="16" cy="16" r="14" /></svg> &nbsp; ASL:  <?php echo "${elevation} \n"; ?> &nbsp; <svg id="i-info" viewBox="0 0 32 32" width="8" height="8" fill="#EE793A" stroke="#EE793A" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%"> <path d="M16 14 L16 23 M16 8 L16 10" /> <circle cx="16" cy="16" r="14" /></svg> &nbsp; Data Source:  <?php echo "${version} \n"; ?> &nbsp; <svg id="i-info" viewBox="0 0 32 32" width="8" height="8" fill="#00A4B4" stroke="#00A4B4" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%"> <path d="M16 14 L16 23 M16 8 L16 10" /> <circle cx="16" cy="16" r="14" /></svg> &nbsp; Hardware: <?php echo "${hardware} \n"; ?> </div>
 <div class="footertext"><svg id="i-info" viewBox="0 0 32 32" width="8" height="8" fill="#88B04B" stroke="#88B04B" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%"> <path d="M16 14 L16 23 M16 8 L16 10" /> <circle cx="16" cy="16" r="14" /></svg>&nbsp; Version: <a href="info/templateinfo.php" data-featherlight="iframe"> <?php echo "$templateversion \n"; ?> &copy; 2015-<?php echo date('Y');?></a> &nbsp;<svg id="i-info" viewBox="0 0 32 32" width="8" height="8" fill="#00A4B4" stroke="#00A4B4" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%"> <path d="M16 14 L16 23 M16 8 L16 10" /> <circle cx="16" cy="16" r="14" /></svg> &nbsp;<?php echo 'Current PHP version: ' . phpversion();?> &nbsp;<svg id="i-info" viewBox="0 0 32 32" width="8" height="8" fill="#88B04B" stroke="#88B04B" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%"> <path d="M16 14 L16 23 M16 8 L16 10" /> <circle cx="16" cy="16" r="14" /></svg> &nbsp; Built with <a href="http://learnlayout.com/flexbox.html" title="http://learnlayout.com/flexbox.html" target="_blank">  &nbsp;FLEX &nbsp; </a> Webkit &copy; 2015-<?php echo date('Y');?> </div>
 <div class="footertext"><svg id="i-info" viewBox="0 0 32 32" width="8" height="8" fill="#88B04B" stroke="#88B04B" stroke-linecap="round" stroke-linejoin="round" stroke-width="6.25%"> <path d="M16 14 L16 23 M16 8 L16 10" /> <circle cx="16" cy="16" r="14" /></svg>&nbsp; <?php echo $personalmessage ;?></div>
 <!-- load contact form---> <div id="contact" class="c"><a href="contact/contact.php" data-featherlight="iframe" class="cl"> <?php echo $touchme ;?></a> </div> </div></div>
 <!-- load homweather station scripts last--->
 <?php  if ($notificationeq == 'yes') {	echo '<div id="notificationcenter"></div>   ';} else {	echo '';}?></a>
<script DEFER src=js/combi.js?version=<?php echo filemtime('js/combi.js');?>></script>
<!--cron jobs no longer required this script automates the update every 30 minutes-->
<div id="blank" style="display:none;"></div>
<script DEFER type="text/livescript">
 //update the charts,eq,forecast data and current conditions//
  var refreshId;$(document).ready(function(){stationcron()});function stationcron(){$.ajax({cache:false,
  success:function(a){$("#blank")
  .html(a);<?php if ($wuupdate > 0) {
  echo 'setTimeout(stationcron,' . 1000*$wuupdate.')';}?>},
  contentType: "application/x-www-form-urlencoded;charset=ISO-8859-15",
  type:"GET",url:"jsondata/wuupdate.php"})}; 
  </script> 
<?php include('updater.php');include('menu.php');?>
</body></html>